Subject: Re: [bitcoin-dev] ERRATA CORRIGE + Short Theorem

From: Peter Todd <[email-masked]>
Date: Tue, 1 Sep 2015 03:56:14 -0400

On Sun, Aug 30, 2015 at 10:01:00PM +0200, Daniele Pinna via bitcoin-dev wrote:
> Since my longer post seems to be caught in moderator purgatory I will
> rehash its results into this much smaller message. I apologize for the
> spamming.
> 
> I present a theorem whose thesis is obvious to many.
> 
> *THESIS: All hashrates* *h' > h generate a revenue per unit of hash v' >
> v. *
> 
> Let us absurdly[1] assume that an optimal hashrate *h* exists where the
> average revenue for each hash in service is maximized. This will result
> from perpetually mining blocks of size *q,* is *v. *All larger hashrates *h'
> > h* will generate an average revenue per hash *v' < v*(effectively the
> conclusion of my paper) due to the higher orphan risk carried from having
> to mine blocks of size *q' > q*. Leading from Peter's model and my
> analysis, the origin of this balance lies in the fact that larger miners
> must somehow be forced to mine larger blocks which in turn carry a larger
> orphan risk.
> 
> What happens if a large miner *h'* chooses not to mine his optimal block
> size *q' *in favor of a seemingly "sub-optimal" block size* q*?
> Since he mines a block of identical size as the smaller miner, they will
> both carry identical orphan risks[2], and win identical
> amounts*R+M(q)* whenever
> they successfully mine a block. Since the larger miner can statistically
> expect to win *h'/h* more blocks than the smaller miner, they will each
> earn an identical revenue per unit of hash *R+M(q)/h*.
> 
> This however directly contradicts the assumption that an optimal hashrate
> exists beyond which the revenue per unit of hash *v' < v*if  *h' > h. *
> *Q.E.D *
> 
> This theorem in turn implies the following corollary:
> 
> *COROLLARY: **The marginal profit curve is a monotonically increasing of
> miner hashrate.*
> 
> This simple theorem, suggested implicitly by Gmaxwell disproves any and all
> conclusions of my work. Most importantly, centralization pressures will
> always be present.

FWIW I did a quick math proof along those lines awhile back too using
some basic first-year math, again proving that larger miners earn more
money per unit hashing power:

http://www.mail-archive.com/[email-masked]/msg03272.html

-- 
'peter'[:-1]@petertodd.org
000000000000000010b552c5f5c18705ccb1b21c550c08872089f89076840d6d